Name:           perl-CPAN-Plugin-Sysdeps
Version:        0.68
Release:        2%{?dist}
Summary:        CPAN client plugin for installing system dependencies
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/CPAN-Plugin-Sysdeps
Source0:        https://cpan.metacpan.org/authors/id/S/SR/SREZIC/CPAN-Plugin-Sysdeps-%{version}.tar.gz
# Prevent a build script from accidental execution in an author mode
Patch0:         CPAN-Plugin-Sysdeps-0.66-Disable-probing-for-an-author-mode.patch
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.6
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
# Run-time:
# dnf not used at tests
BuildRequires:  perl(constant)
# CPAN::Distribution not used at tests
BuildRequires:  perl(Data::Dumper)
# Getopt::Long not used at tests
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Symbol)
BuildRequires:  perl(warnings)
BuildRequires:  rpm
# Optional run-time:
BuildRequires:  perl(Hash::Util)
# sudo not used at tests
# Tests:
# CPAN::Distribution || CPAN
BuildRequires:  perl(CPAN::Distribution)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(lib)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(vars)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       dnf
Requires:       perl(Data::Dumper)
Suggests:       perl(Hash::Util)
Requires:       perl(IPC::Open3)
Requires:       perl(Symbol)
Requires:       rpm
Recommends:     sudo

%description
CPAN::Plugin::Sysdeps is a plugin for CPAN Perl module to install non-CPAN
dependencies automatically. Currently, the list of required system
dependencies is maintained in a static data structure in
CPAN::Plugin::Sysdeps::Mapping.

%prep
%setup -q -n CPAN-Plugin-Sysdeps-%{version}
%patch0 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
unset CPAN_PLUGIN_SYSDEPS_DEBUG PERL_CPAN_SYSDEPS_UV_UTIL_NATIVE
make test

%files
%doc Changes README.md
%{_bindir}/cpan-sysdeps
%{perl_vendorlib}/*
%{_mandir}/man1/cpan-sysdeps.1*
%{_mandir}/man3/*

%changelog
* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.68-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 21 2020 Petr Pisar <ppisar@redhat.com> - 0.68-1
- 0.68 bump

* Mon Dec 14 2020 Jitka Plesnikova <jplesnik@redhat.com> - 0.67-1
- 0.67 bump

* Fri Oct 23 2020 Petr Pisar <ppisar@redhat.com> 0.66-1
- Specfile autogenerated by cpanspec 1.78.
